/*
VODKA-INDUCED ENTERTAINMENT ADVANCED SOUND MANAGER v0.9
COMPATIBILITY LAYER FOR WOLF4SDL v1.6 - SOUND NAMES REFERENCE FILE
BY GERARD 'ALUMIUN' WATSON
*/

#ifndef _ASMCREF_H_
#define _ASMCREF_H_

// This table holds the file names for the sounds defined in AUDIOWL6.H.
// Change these to suit your sounds and your AUDIOHED.WL6 or SOD file.

// WSJ: the first 30+ sounds are unusable because the music conflicts with them

const char *sounddir = "sounds/";

// This table holds the file names for the music defined in AUDIOWL6.H.
// Change these to suit your music and your AUDIOHED.WL6 or SOD file.
// Currently these are set up for Wolfenstein, not SoD.
// Make sure you put the right format on the end here
// Compatible extentions:
//  -- WAV (If you're using WAVs for music, you're mad.)
//  -- OGG
//  -- MP3
//  -- MID
//  -- MOD, XM, IT, 669, S3M, MED

const char *musicdir = "music/";

const char *ASM_Musicnames[NUMMUSICS] = {
	"BLANK.ogg",
	"TITLE.ogg",
	"MAINMENU.ogg",
	"READTHIS.ogg",
	"ENDLEVEL.ogg",
	"INTERM.ogg",
	"VICTORY.ogg",
	"TRACK07.ogg",
	"TRACK08.ogg",
	"TRACK09.ogg",
	"TRACK10.ogg",
	"TRACK11.ogg",
	"TRACK12.ogg",
	"TRACK13.ogg",
	"TRACK14.ogg",
	"TRACK15.ogg",
	"TRACK16.ogg",
	"TRACK17.ogg",
	"TRACK18.ogg",
	"TRACK19.ogg",
	"TRACK20.ogg",
	"TRACK21.ogg",
	"TRACK22.ogg",
	"TRACK23.ogg",
	"TRACK24.ogg",
	"TRACK25.ogg",
	"TRACK26.ogg",
	"TRACK27.ogg",
	"TRACK28.ogg",
	"TRACK29.ogg",
	"TRACK30.ogg",
	"TRACK31.ogg",
	"TRACK32.ogg",
	"TRACK33.ogg",
	"TRACK34.ogg",
	"TRACK35.ogg",
	"TRACK36.ogg",
	"TRACK37.ogg",
	"TRACK38.ogg",
	"TRACK39.ogg",
	"TRACK40.ogg",
};

#endif  // _ASMCREF_H_
