/*************************************************************************
** Wolf3D Legacy
** Copyright (C) 2012 by LinuxWolf - Team RayCAST
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**************************************************************************
** LinuxWolf Library for Wolf3D Legacy
*************************************************************************/

#ifndef LWLIB_MODELMAKER_H
#define LWLIB_MODELMAKER_H

#include "lw_edit.h"
#include "lw_tool.h"
#include "lw_misc.h"

namespace lwlib
{
	class ModelMaker : public Tool
	{
		struct
		{
			bool wireframeMode;
		} priv;

		void drawModel(Gl *gl);

	public:
		ModelMaker();

		virtual ~ModelMaker();

		virtual void draw(Gl *gl);

		virtual void addToEdit(Edit *edit);

		virtual void updateEdit(Edit *edit);

		virtual void updateFrame();
	};
}

#endif
